
CoCoA-5 - Feature #1246

Revive old CoCoA4 package called "cocoa5.cpkg"

21 Feb 2019 12:05 - John Abbott

Status: Feedback Start date: 21 Feb 2019

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 90%

Category: CoCoA-4 function to be added Estimated time: 0.00 hour

Target version: CoCoA-5.4.4 Spent time: 8.00 hours

Description

Kreuzer wants to use various functions (for remote procedure calls) which were defined in the package cocoa5.cpkg.

Revive the relevant parts of the code.

Related issues:

Related to CoCoA-5 - Support #1240: John's visit Feb 2019 Closed 08 Feb 2019

Related to CoCoALib - Design #360: CoCoAServer: what future, what issues? New 27 May 2013

History

#1 - 21 Feb 2019 12:10 - John Abbott

The package name should be changed.  My temporary version is called OperationCommunication.cpkg5.

The old code is essentially undocumented, and some parts are rather untransparent.

Several parts do not need to be translated (e.g. those parts making CoCoALib functions available to CoCoA4).

#2 - 11 Mar 2019 18:53 - John Abbott

- Related to Support #1240: John's visit Feb 2019 added

#3 - 18 Mar 2019 14:38 - John Abbott

Anna has cleaned the file so that it is syntactically OK.

Now we must look at the semantics.

#4 - 18 Mar 2019 14:42 - John Abbott

Here are the aspects to be addressed next:

how to serialize rings (i.e. follow previous format, but passing rings)

previously there were some nasty hacks to handle "parameters"; clean this up!

the new impl of OpenSocket creates a record with fields send and recv; perhaps try to do the same when writing and reading files?

#5 - 19 Mar 2019 15:16 - John Abbott

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 20

#6 - 01 Oct 2019 14:25 - John Abbott
- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#7 - 04 Mar 2021 17:31 - John Abbott

- Priority changed from High to Urgent

#8 - 04 Mar 2021 17:38 - Anna Maria Bigatti

For Anna: look for some examples, and try to remember how it works

#9 - 04 Mar 2021 17:44 - John Abbott

Example of the data format can be found in the following file

/home/jabbott/Work/CoCoALib-0.99/src/server/benchmarks/inputs.tgz

on my computer...

#10 - 10 Jun 2021 15:35 - John Abbott

I now have a version of OperationCommunication.cpkg5 which works for some simple examples.

Bernhard is working to make it better.

Still need to remove dependency on global variable MEMORY, and perhaps remove the need to call Initialize.

#11 - 10 Jun 2021 15:35 - John Abbott

- Related to Design #360: CoCoAServer: what future, what issues? added

#12 - 12 Oct 2021 09:26 - John Abbott

- % Done changed from 20 to 70

I think this has progressed but nothing was noted here.  Increased %done.

#13 - 03 Feb 2022 19:49 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#14 - 07 Oct 2022 14:38 - John Abbott

Bernhard  in comment 10 above, it is reported you had an improved version (of OperationCommunication.cpkg5).

Is this true?  Do I have your improved version?

It would be good to close this issue.

#15 - 07 Oct 2022 14:40 - John Abbott

Referring to comment 10:  the function Initialize now does nothing; all references to MEMORY are commented out).

#16 - 09 Mar 2023 22:45 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 70 to 90
Is there any news from Passau about this issue?

Is there an improved version of OperationCommunication.cpkg5?

#17 - 14 Mar 2023 11:58 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.4
